#ifndef EMAILHELPER_H
#define EMAILHELPER_H


#include <QObject>
#include <QMap>
#include <qmessage.h>
#include <qmessageservice.h>

QTM_USE_NAMESPACE


#ifdef Q_OS_SYMBIAN
    #define SENDEMAIL_ENABLED
#elif defined(Q_WS_MAEMO_5) || defined(Q_WS_MAEMO_6)
    #define SENDEMAIL_ENABLED
#endif

class EmailHelper : public QObject
{
    Q_OBJECT

public:
    explicit EmailHelper(QObject *parent = 0);
    ~EmailHelper();

    Q_INVOKABLE bool sendEmail(QString accountName, QString recipient, QString subject, QString body);
    Q_INVOKABLE QStringList getEmailAccountList();

signals:
    void stateMsg(const QString &statemsg);
    void errorMsg(const QString &errormsg);

private slots:
    void messageStateChanged(QMessageService::State s);

private:
    QMessageService iMessageService;
    QMessageManager iManager;
    QMessageService::State state;
    QMap<QString, QMessageAccountId> accountList;

};

#endif // EMAILHELPER_H
